use lib '/opt/ep2stable/perl_lib';

######################################################################
#
#  This file is part of EPrints 2.
#  
#  Copyright (c) 2000,2001,2002 University of Southampton, UK. SO17 1BJ.
#  
#  EPrints 2 is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#  
#  EPrints 2 is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#  
#  You should have received a copy of the GNU General Public License
#  along with EPrints 2; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
######################################################################

print STDERR "EPRINTS: Loading Core Modules\n";

## Apache::DBI MUST come before other modules using DBI or
## you won't get constant connections and everything
## will go horribly wrong...

use Carp qw(verbose);

use EPrints::AnApache;

use Apache::DBI;
#$Apache::DBI::DEBUG = 3;

$ENV{MOD_PERL} or EPrints::Utils::abort( "not running under mod_perl!" );

use EPrints::XML;
use EPrints::Utils;
use EPrints::Config;

# This code is interpreted *once* when the server starts
use EPrints::Archive;
use EPrints::Auth;
use EPrints::Database;
use EPrints::Document;
use EPrints::EPrint;
use EPrints::Extras;
use EPrints::ImportXML;
use EPrints::Language;
use EPrints::Latex;
use EPrints::MetaField;
use EPrints::OpenArchives;
use EPrints::Rewrite;
use EPrints::SearchExpression;
use EPrints::SearchField;
use EPrints::SearchCondition;
use EPrints::Session;
use EPrints::Subject;
use EPrints::SubmissionForm;
use EPrints::Subscription;
use EPrints::UserForm;
use EPrints::User;
use EPrints::UserPage;
use EPrints::VLit;
use EPrints::Paracite;

use strict;


EPrints::Config::ensure_init();

print STDERR "EPRINTS: Core Modules Loaded\n";

# cjg SYSTEM CONF SHOULD SAY IF TO PRELOAD OR NOT...

print STDERR "EPRINTS: Loading Config Modules\n";
my %done = ();
foreach( EPrints::Config::get_archive_ids() )
{
	next if $done{$_};
	EPrints::Archive->new_archive_by_id( $_ );
}
print STDERR "EPRINTS: ".join( ", ",  EPrints::Config::get_archive_ids() )."\n";
print STDERR "EPRINTS: Config Modules Loaded\n";

# Tell me more about warnings
$SIG{__WARN__} = \&Carp::cluck;

1;
